Confirmar entrega y crear subscripciones
curl --request POST \
--url https://api.raul.ugps.io/api/v1/shipments/{id}/confirm-delivery \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"activate": true,
"item_plan_map": {
"item-uuid-1": 48,
"item-uuid-2": 48
},
"subscription_frequency_id": 1,
"fecha_inicio": "2026-02-01",
"child_client_id": "uuid-child-client"
}
'import requests
url = "https://api.raul.ugps.io/api/v1/shipments/{id}/confirm-delivery"
payload = {
"activate": True,
"item_plan_map": {
"item-uuid-1": 48,
"item-uuid-2": 48
},
"subscription_frequency_id": 1,
"fecha_inicio": "2026-02-01",
"child_client_id": "uuid-child-client"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
activate: true,
item_plan_map: {'item-uuid-1': 48, 'item-uuid-2': 48},
subscription_frequency_id: 1,
fecha_inicio: '2026-02-01',
child_client_id: 'uuid-child-client'
})
};
fetch('https://api.raul.ugps.io/api/v1/shipments/{id}/confirm-delivery', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Shipments
Confirmar entrega y crear subscripciones
Confirma la entrega de un envío, marca como DELIVERED y crea subscripciones para los items con GPS asignado.
POST
/
api
/
v1
/
shipments
/
{id}
/
confirm-delivery
Confirmar entrega y crear subscripciones
Authorizations
Bearer token authentication
Path Parameters
UUID del envío
Body
application/json
Si se deben activar las subscripciones inmediatamente
Example:
true
Mapa de itemId → planId para asignar plan a cada item del envío
Example:
{ "item-uuid-1": 48, "item-uuid-2": 48 }ID de la frecuencia de subscripción
Example:
1
Fecha de inicio de la subscripción (solo si activate=true)
Example:
"2026-02-01"
ID del child client (grupo) al que asignar las subscripciones. Si no se envía, se usa el client de la orden.
Example:
"uuid-child-client"
Response
Entrega confirmada y subscripciones creadas
⌘I